petsc-3.4.2 2013-07-02

# PetscDTGaussJacobiQuadrature

create Gauss-Jacobi quadrature for a simplex

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussJacobiQuadrature(PetscInt dim, PetscInt npoints, PetscReal a, PetscReal b, PetscReal *points[], PetscReal *weights[])

Not Collective

### Input Arguments

| dim | - The simplex dimension
| npoints | - number of points
| a | - left end of interval (often-1)
| b | - right end of interval (often +1)

### Output Arguments

| points | - quadrature points
| weights | - quadrature weights

### References

Karniadakis and Sherwin. FIAT

### See Also

PetscDTGaussQuadrature()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html